
package net.northking.cctp.upperComputer.deviceManager.entity;

import com.google.gson.annotations.SerializedName;

import java.util.List;

@SuppressWarnings("unused")
public class BatteryDetail {

    @SerializedName("AbsoluteCapacity")
    private Long absoluteCapacity;
    @SerializedName("AdapterDetails")
    private AdapterDetails adapterDetails;
    @SerializedName("AdapterInfo")
    private Long adapterInfo;
    @SerializedName("Amperage")
    private Long amperage;
    @SerializedName("AppleChargeRateLimitIndex")
    private Long appleChargeRateLimitIndex;
    @SerializedName("AppleRawAdapterDetails")
    private List<AppleRawAdapterDetail> appleRawAdapterDetails;
    @SerializedName("AppleRawBatteryVoltage")
    private Long appleRawBatteryVoltage;
    @SerializedName("AppleRawCurrentCapacity")
    private Long appleRawCurrentCapacity;
    @SerializedName("AppleRawExternalConnected")
    private Boolean appleRawExternalConnected;
    @SerializedName("AppleRawMaxCapacity")
    private Long appleRawMaxCapacity;
    @SerializedName("AtCriticalLevel")
    private Boolean atCriticalLevel;
    @SerializedName("AvgTimeToEmpty")
    private Long avgTimeToEmpty;
    @SerializedName("BatteryCellDisconnectCount")
    private Long batteryCellDisconnectCount;
    @SerializedName("BatteryData")
    private BatteryData batteryData;
    @SerializedName("BatteryInstalled")
    private Boolean batteryInstalled;
    @SerializedName("BatteryInvalidWakeSeconds")
    private Long batteryInvalidWakeSeconds;
    @SerializedName("BestAdapterIndex")
    private Long bestAdapterIndex;
    @SerializedName("BootPathUpdated")
    private Long bootPathUpdated;
    @SerializedName("BootVoltage")
    private Long bootVoltage;
    @SerializedName("built-in")
    private Boolean builtIn;
    @SerializedName("CarrierMode")
    private CarrierMode carrierMode;
    @SerializedName("ChargerConfiguration")
    private Long chargerConfiguration;
    @SerializedName("ChargerData")
    private ChargerData chargerData;
    @SerializedName("ChargingOverride")
    private Long chargingOverride;
    @SerializedName("CurrentCapacity")
    private Long currentCapacity;
    @SerializedName("CycleCount")
    private Long cycleCount;
    @SerializedName("DeadBatteryBootData")
    private DeadBatteryBootData deadBatteryBootData;
    @SerializedName("DesignCapacity")
    private Long designCapacity;
    @SerializedName("ExternalChargeCapable")
    private Boolean externalChargeCapable;
    @SerializedName("ExternalConnected")
    private Boolean externalConnected;
    @SerializedName("FullPathUpdated")
    private Long fullPathUpdated;
    @SerializedName("FullyCharged")
    private Boolean fullyCharged;
    @SerializedName("GasGaugeFirmwareVersion")
    private Long gasGaugeFirmwareVersion;
    @SerializedName("IOGeneralInterest")
    private String iOGeneralInterest;
    @SerializedName("IOReportLegend")
    private List<IOReportLegend> iOReportLegend;
    @SerializedName("IOReportLegendPublic")
    private Boolean iOReportLegendPublic;
    @SerializedName("InductiveData")
    private InductiveData inductiveData;
    @SerializedName("InstantAmperage")
    private Long instantAmperage;
    @SerializedName("IsCharging")
    private Boolean isCharging;
    @SerializedName("KioskMode")
    private KioskMode kioskMode;
    @SerializedName("LPEMData")
    private LPEMData lPEMData;
    @SerializedName("Location")
    private Long location;
    @SerializedName("ManufacturerData")
    private String manufacturerData;
    @SerializedName("MaxCapacity")
    private Long maxCapacity;
    @SerializedName("NominalChargeCapacity")
    private Long nominalChargeCapacity;
    @SerializedName("PostChargeWaitSeconds")
    private Long postChargeWaitSeconds;
    @SerializedName("PostDischargeWaitSeconds")
    private Long postDischargeWaitSeconds;
    @SerializedName("PowerTelemetryData")
    private PowerTelemetryData powerTelemetryData;
    @SerializedName("Serial")
    private String serial;
    @SerializedName("Temperature")
    private Long temperature;
    @SerializedName("TimeRemaining")
    private Long timeRemaining;
    @SerializedName("UpdateTime")
    private Long updateTime;
    @SerializedName("UserVisiblePathUpdated")
    private Long userVisiblePathUpdated;
    @SerializedName("VirtualTemperature")
    private Long virtualTemperature;
    @SerializedName("Voltage")
    private Long voltage;

    public Long getAbsoluteCapacity() {
        return absoluteCapacity;
    }

    public void setAbsoluteCapacity(Long absoluteCapacity) {
        this.absoluteCapacity = absoluteCapacity;
    }

    public AdapterDetails getAdapterDetails() {
        return adapterDetails;
    }

    public void setAdapterDetails(AdapterDetails adapterDetails) {
        this.adapterDetails = adapterDetails;
    }

    public Long getAdapterInfo() {
        return adapterInfo;
    }

    public void setAdapterInfo(Long adapterInfo) {
        this.adapterInfo = adapterInfo;
    }

    public Long getAmperage() {
        return amperage;
    }

    public void setAmperage(Long amperage) {
        this.amperage = amperage;
    }

    public Long getAppleChargeRateLimitIndex() {
        return appleChargeRateLimitIndex;
    }

    public void setAppleChargeRateLimitIndex(Long appleChargeRateLimitIndex) {
        this.appleChargeRateLimitIndex = appleChargeRateLimitIndex;
    }

    public List<AppleRawAdapterDetail> getAppleRawAdapterDetails() {
        return appleRawAdapterDetails;
    }

    public void setAppleRawAdapterDetails(List<AppleRawAdapterDetail> appleRawAdapterDetails) {
        this.appleRawAdapterDetails = appleRawAdapterDetails;
    }

    public Long getAppleRawBatteryVoltage() {
        return appleRawBatteryVoltage;
    }

    public void setAppleRawBatteryVoltage(Long appleRawBatteryVoltage) {
        this.appleRawBatteryVoltage = appleRawBatteryVoltage;
    }

    public Long getAppleRawCurrentCapacity() {
        return appleRawCurrentCapacity;
    }

    public void setAppleRawCurrentCapacity(Long appleRawCurrentCapacity) {
        this.appleRawCurrentCapacity = appleRawCurrentCapacity;
    }

    public Boolean getAppleRawExternalConnected() {
        return appleRawExternalConnected;
    }

    public void setAppleRawExternalConnected(Boolean appleRawExternalConnected) {
        this.appleRawExternalConnected = appleRawExternalConnected;
    }

    public Long getAppleRawMaxCapacity() {
        return appleRawMaxCapacity;
    }

    public void setAppleRawMaxCapacity(Long appleRawMaxCapacity) {
        this.appleRawMaxCapacity = appleRawMaxCapacity;
    }

    public Boolean getAtCriticalLevel() {
        return atCriticalLevel;
    }

    public void setAtCriticalLevel(Boolean atCriticalLevel) {
        this.atCriticalLevel = atCriticalLevel;
    }

    public Long getAvgTimeToEmpty() {
        return avgTimeToEmpty;
    }

    public void setAvgTimeToEmpty(Long avgTimeToEmpty) {
        this.avgTimeToEmpty = avgTimeToEmpty;
    }

    public Long getBatteryCellDisconnectCount() {
        return batteryCellDisconnectCount;
    }

    public void setBatteryCellDisconnectCount(Long batteryCellDisconnectCount) {
        this.batteryCellDisconnectCount = batteryCellDisconnectCount;
    }

    public BatteryData getBatteryData() {
        return batteryData;
    }

    public void setBatteryData(BatteryData batteryData) {
        this.batteryData = batteryData;
    }

    public Boolean getBatteryInstalled() {
        return batteryInstalled;
    }

    public void setBatteryInstalled(Boolean batteryInstalled) {
        this.batteryInstalled = batteryInstalled;
    }

    public Long getBatteryInvalidWakeSeconds() {
        return batteryInvalidWakeSeconds;
    }

    public void setBatteryInvalidWakeSeconds(Long batteryInvalidWakeSeconds) {
        this.batteryInvalidWakeSeconds = batteryInvalidWakeSeconds;
    }

    public Long getBestAdapterIndex() {
        return bestAdapterIndex;
    }

    public void setBestAdapterIndex(Long bestAdapterIndex) {
        this.bestAdapterIndex = bestAdapterIndex;
    }

    public Long getBootPathUpdated() {
        return bootPathUpdated;
    }

    public void setBootPathUpdated(Long bootPathUpdated) {
        this.bootPathUpdated = bootPathUpdated;
    }

    public Long getBootVoltage() {
        return bootVoltage;
    }

    public void setBootVoltage(Long bootVoltage) {
        this.bootVoltage = bootVoltage;
    }

    public Boolean getBuiltIn() {
        return builtIn;
    }

    public void setBuiltIn(Boolean builtIn) {
        this.builtIn = builtIn;
    }

    public CarrierMode getCarrierMode() {
        return carrierMode;
    }

    public void setCarrierMode(CarrierMode carrierMode) {
        this.carrierMode = carrierMode;
    }

    public Long getChargerConfiguration() {
        return chargerConfiguration;
    }

    public void setChargerConfiguration(Long chargerConfiguration) {
        this.chargerConfiguration = chargerConfiguration;
    }

    public ChargerData getChargerData() {
        return chargerData;
    }

    public void setChargerData(ChargerData chargerData) {
        this.chargerData = chargerData;
    }

    public Long getChargingOverride() {
        return chargingOverride;
    }

    public void setChargingOverride(Long chargingOverride) {
        this.chargingOverride = chargingOverride;
    }

    public Long getCurrentCapacity() {
        return currentCapacity;
    }

    public void setCurrentCapacity(Long currentCapacity) {
        this.currentCapacity = currentCapacity;
    }

    public Long getCycleCount() {
        return cycleCount;
    }

    public void setCycleCount(Long cycleCount) {
        this.cycleCount = cycleCount;
    }

    public DeadBatteryBootData getDeadBatteryBootData() {
        return deadBatteryBootData;
    }

    public void setDeadBatteryBootData(DeadBatteryBootData deadBatteryBootData) {
        this.deadBatteryBootData = deadBatteryBootData;
    }

    public Long getDesignCapacity() {
        return designCapacity;
    }

    public void setDesignCapacity(Long designCapacity) {
        this.designCapacity = designCapacity;
    }

    public Boolean getExternalChargeCapable() {
        return externalChargeCapable;
    }

    public void setExternalChargeCapable(Boolean externalChargeCapable) {
        this.externalChargeCapable = externalChargeCapable;
    }

    public Boolean getExternalConnected() {
        return externalConnected;
    }

    public void setExternalConnected(Boolean externalConnected) {
        this.externalConnected = externalConnected;
    }

    public Long getFullPathUpdated() {
        return fullPathUpdated;
    }

    public void setFullPathUpdated(Long fullPathUpdated) {
        this.fullPathUpdated = fullPathUpdated;
    }

    public Boolean getFullyCharged() {
        return fullyCharged;
    }

    public void setFullyCharged(Boolean fullyCharged) {
        this.fullyCharged = fullyCharged;
    }

    public Long getGasGaugeFirmwareVersion() {
        return gasGaugeFirmwareVersion;
    }

    public void setGasGaugeFirmwareVersion(Long gasGaugeFirmwareVersion) {
        this.gasGaugeFirmwareVersion = gasGaugeFirmwareVersion;
    }

    public String getIOGeneralInterest() {
        return iOGeneralInterest;
    }

    public void setIOGeneralInterest(String iOGeneralInterest) {
        this.iOGeneralInterest = iOGeneralInterest;
    }

    public List<IOReportLegend> getIOReportLegend() {
        return iOReportLegend;
    }

    public void setIOReportLegend(List<IOReportLegend> iOReportLegend) {
        this.iOReportLegend = iOReportLegend;
    }

    public Boolean getIOReportLegendPublic() {
        return iOReportLegendPublic;
    }

    public void setIOReportLegendPublic(Boolean iOReportLegendPublic) {
        this.iOReportLegendPublic = iOReportLegendPublic;
    }

    public InductiveData getInductiveData() {
        return inductiveData;
    }

    public void setInductiveData(InductiveData inductiveData) {
        this.inductiveData = inductiveData;
    }

    public Long getInstantAmperage() {
        return instantAmperage;
    }

    public void setInstantAmperage(Long instantAmperage) {
        this.instantAmperage = instantAmperage;
    }

    public Boolean getIsCharging() {
        return isCharging;
    }

    public void setIsCharging(Boolean isCharging) {
        this.isCharging = isCharging;
    }

    public KioskMode getKioskMode() {
        return kioskMode;
    }

    public void setKioskMode(KioskMode kioskMode) {
        this.kioskMode = kioskMode;
    }

    public LPEMData getLPEMData() {
        return lPEMData;
    }

    public void setLPEMData(LPEMData lPEMData) {
        this.lPEMData = lPEMData;
    }

    public Long getLocation() {
        return location;
    }

    public void setLocation(Long location) {
        this.location = location;
    }

    public String getManufacturerData() {
        return manufacturerData;
    }

    public void setManufacturerData(String manufacturerData) {
        this.manufacturerData = manufacturerData;
    }

    public Long getMaxCapacity() {
        return maxCapacity;
    }

    public void setMaxCapacity(Long maxCapacity) {
        this.maxCapacity = maxCapacity;
    }

    public Long getNominalChargeCapacity() {
        return nominalChargeCapacity;
    }

    public void setNominalChargeCapacity(Long nominalChargeCapacity) {
        this.nominalChargeCapacity = nominalChargeCapacity;
    }

    public Long getPostChargeWaitSeconds() {
        return postChargeWaitSeconds;
    }

    public void setPostChargeWaitSeconds(Long postChargeWaitSeconds) {
        this.postChargeWaitSeconds = postChargeWaitSeconds;
    }

    public Long getPostDischargeWaitSeconds() {
        return postDischargeWaitSeconds;
    }

    public void setPostDischargeWaitSeconds(Long postDischargeWaitSeconds) {
        this.postDischargeWaitSeconds = postDischargeWaitSeconds;
    }

    public PowerTelemetryData getPowerTelemetryData() {
        return powerTelemetryData;
    }

    public void setPowerTelemetryData(PowerTelemetryData powerTelemetryData) {
        this.powerTelemetryData = powerTelemetryData;
    }

    public String getSerial() {
        return serial;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }

    public Long getTemperature() {
        return temperature;
    }

    public void setTemperature(Long temperature) {
        this.temperature = temperature;
    }

    public Long getTimeRemaining() {
        return timeRemaining;
    }

    public void setTimeRemaining(Long timeRemaining) {
        this.timeRemaining = timeRemaining;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    public Long getUserVisiblePathUpdated() {
        return userVisiblePathUpdated;
    }

    public void setUserVisiblePathUpdated(Long userVisiblePathUpdated) {
        this.userVisiblePathUpdated = userVisiblePathUpdated;
    }

    public Long getVirtualTemperature() {
        return virtualTemperature;
    }

    public void setVirtualTemperature(Long virtualTemperature) {
        this.virtualTemperature = virtualTemperature;
    }

    public Long getVoltage() {
        return voltage;
    }

    public void setVoltage(Long voltage) {
        this.voltage = voltage;
    }

}
